﻿using System;
using ServiceStack.DataAnnotations;

namespace TestOrmLite
{
    public class Person
    {
        [AutoIncrement]
        [PrimaryKey]
        public long ID { get; set; }

        public string Name { get; set; }
        //[Index]
        public int Age { get; set; }

        [References(typeof (School))]
        public Guid ShoolID { get; set; }

        [Reference]
        public School InShool { get; set; }
    }
}